#/bin/bash
# Copyright (C) Perinet
#this is intended to be called from /etc/init.d/jlinkdbgserver_periCORE

#fork seggers gdbserver in singlerun for periCORE main
JLinkGDBServerCLExe -timeout 1000 -port 5331 -singlerun -localhostonly 1 -nogui -select USB -device Cortex-R4 -endian little -if JTAG -speed 100000 -ir 1>&2 &
PID=$!
trap "kill -9 ${PID} || kill -9 $$; exit 0;" SIGTERM SIGINT SIGHUP;
# wait for JLINKprocess to be started
timeout=5
while [[ $timeout != 0 ]] ; do
        let "timeout=timeout-1"
        if [[ $(ss -4 -tlpn |  grep 5331 | grep -c JLinkGDBServerC) == 1 ]]; then
                break;
        fi
        sleep 1;
done
# connect to JLINKprocess
socat STDIO TCP4:localhost:5331;
kill -9 ${PID}

# References
# [1] J-Link / J-Trace User Guide UM08001 Version:7.22a
