#/bin/bash

# Copyright (C) Perinet

RAW_CERT=/etc/webserver/server_complete.pem
CERT=/etc/webserver/server.pem
KEY=/etc/webserver/server.key

if [ ! -f $CERT ]; then
        mkdir -p /etc/webserver
	openssl req -new -newkey ec -pkeyopt ec_paramgen_curve:prime256v1 -days 1825 -nodes -x509 -subj "/CN=$(hostname -s).local" -addext "subjectAltName = DNS:$(hostname -s), DNS:$(hostname -s).local" -keyout $RAW_CERT -out $RAW_CERT
        openssl x509 -in $RAW_CERT > $CERT
        cat $RAW_CERT | grep "END PRIVATE" -B 20 > $KEY
fi
